package com.zjrs.zwnw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zjrs.zwnw.portal.po.common.CzPO;

@TableName(value = "v_rs_sy_xxlx")
public class VRsSyXxlxPO extends CzPO {
    @TableId(value = "rs_xxlx_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_xxlx_lsh")
    private String rsxxlxlsh;//id
    private String xxlx;//消息类型
    private String bt;//标题
    private String wh;//文号
    private String zdbz;//置顶标志
    private String fbzt;//发布状态
    private String ztc;//主题词
    private String fbqd;//发布渠道
    private String ywzt;//业务主题
    private String zwtyccid;//正文统一存储id
    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志
    private String fbsj;//发布时间
    private String zdsj;//置顶时间
    private String fbr;//发布人

    public String getFbr() {
        return fbr;
    }

    public void setFbr(String fbr) {
        this.fbr = fbr;
    }

    public String getFbsj() {
        return fbsj;
    }

    public void setFbsj(String fbsj) {
        this.fbsj = fbsj;
    }

    public String getZdsj() {
        return zdsj;
    }

    public void setZdsj(String zdsj) {
        this.zdsj = zdsj;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getRsxxlxlsh() {
        return rsxxlxlsh;
    }

    public void setRsxxlxlsh(String rsxxlxlsh) {
        this.rsxxlxlsh = rsxxlxlsh;
    }

    public String getXxlx() {
        return xxlx;
    }

    public void setXxlx(String xxlx) {
        this.xxlx = xxlx;
    }

    public String getBt() {
        return bt;
    }

    public void setBt(String bt) {
        this.bt = bt;
    }

    public String getWh() {
        return wh;
    }

    public void setWh(String wh) {
        this.wh = wh;
    }

    public String getZdbz() {
        return zdbz;
    }

    public void setZdbz(String zdbz) {
        this.zdbz = zdbz;
    }

    public String getFbzt() {
        return fbzt;
    }

    public void setFbzt(String fbzt) {
        this.fbzt = fbzt;
    }

    public String getZtc() {
        return ztc;
    }

    public void setZtc(String ztc) {
        this.ztc = ztc;
    }

    public String getFbqd() {
        return fbqd;
    }

    public void setFbqd(String fbqd) {
        this.fbqd = fbqd;
    }

    public String getYwzt() {
        return ywzt;
    }

    public void setYwzt(String ywzt) {
        this.ywzt = ywzt;
    }

    public String getZwtyccid() {
        return zwtyccid;
    }

    public void setZwtyccid(String zwtyccid) {
        this.zwtyccid = zwtyccid;
    }
}
